Package org.apache.activemq.artemis.uri.schemas.acceptor

## Class InVMAcceptorTransportConfigurationSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<java.util.List<TransportConfiguration>,​java.lang.String>
  - - org.apache.activemq.artemis.uri.schema.connector.AbstractTransportConfigurationSchema
    - - org.apache.activemq.artemis.uri.schema.connector.InVMTransportConfigurationSchema
      - - org.apache.activemq.artemis.uri.schemas.acceptor.InVMAcceptorTransportConfigurationSchema

-     public class InVMAcceptorTransportConfigurationSchema
      extends InVMTransportConfigurationSchema

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.uri.schema.connector.InVMTransportConfigurationSchema

      `CONNECTIONS_ALLOWED, SECURITY_DOMAIN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InVMAcceptorTransportConfigurationSchema()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getFactoryName()` |

    - ### Methods inherited from class org.apache.activemq.artemis.uri.schema.connector.InVMTransportConfigurationSchema

      `createTransportConfiguration, getSchemaName, internalNewObject, internalNewURI`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, internalPopulateObject, newObject, newObject, newURI, parseQuery, populateObject, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InVMAcceptorTransportConfigurationSchema

          public InVMAcceptorTransportConfigurationSchema()

  - ### Method Detail

    - #### getFactoryName

          protected java.lang.String getFactoryName()

      Overrides:
        `getFactoryName` in class `InVMTransportConfigurationSchema`